japa.parser.ast.expr

## Class AnnotationExpr

- java.lang.Object
- - japa.parser.ast.Node
  - - japa.parser.ast.expr.Expression
    - - japa.parser.ast.expr.AnnotationExpr

Direct Known Subclasses:
  MarkerAnnotationExpr, NormalAnnotationExpr, SingleMemberAnnotationExpr

    public abstract class AnnotationExpr
    extends Expression

Author:
  Julio Vilmar Gesser

### Field Summary

Fields
`protected NameExpr` `name`

### Fields inherited from class japa.parser.ast.Node

`ABSOLUTE_BEGIN_LINE, ABSOLUTE_END_LINE`

### Constructor Summary

Constructors
Constructor and Description
`AnnotationExpr()`
`AnnotationExpr(int beginLine, int beginColumn, int endLine, int endColumn)`

### Method Summary

All Methods Instance Methods Concrete Methods
`NameExpr` `getName()`
`void` `setName(NameExpr name)`

### Methods inherited from class japa.parser.ast.Node

`accept, accept, addOrphanComment, contains, equals, getAllContainedComments, getBeginColumn, getBeginLine, getChildrenNodes, getComment, getData, getEndColumn, getEndLine, getOrphanComments, getParentNode, hashCode, isPositionedAfter, isPositionedBefore, setAsParentNodeOf, setAsParentNodeOf, setBeginColumn, setBeginLine, setComment, setData, setEndColumn, setEndLine, setParentNode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### name

    protected NameExpr name

### Constructor Detail

#### AnnotationExpr

    public AnnotationExpr()

#### AnnotationExpr

    public AnnotationExpr(int beginLine,
                          int beginColumn,
                          int endLine,
                          int endColumn)

### Method Detail

#### getName

    public NameExpr getName()

#### setName

    public void setName(NameExpr name)